// Copyright 2009 - Paul S. Heidmann
//
// Unless changed, in writing, by Paul S. Heidmann, this code is
// governed by the GPL, version 3. The terms of this copyright
// are found in the file throughputTest.cpp, included in this
// distribution.
//

#ifndef GNUPLOTTER_HPP
#define GNUPLOTTER_HPP

#include <string>
#include <sstream>

class gnuPlotter
{
public:

  gnuPlotter( const std::string inFileName );
  ~gnuPlotter();

  void operator()( void );

private:

  const std::string PATH_TO_GNUPLOT;
  const std::string dataFile;
  std::ostringstream gnuPlotCommands;

  gnuPlotter();
  void constructPlotCommands( void );
};

#endif
