// Copyright 2009 - Paul S. Heidmann
//
// Unless changed, in writing, by Paul S. Heidmann, this code is
// governed by the GPL, version 3. The terms of this copyright
// are found in the file throughputTest.cpp, included in this
// distribution.
//

#include "throughputException.hpp"

throughputException::throughputException( const std::string& reason ) :
  cause( reason )
{
}

throughputException::throughputException( const throughputException& copy ) :
  cause( copy.cause )
{
}

throughputException::~throughputException()
{
}

const std::string& throughputException::getReason( void ) const
{
  return( this->cause );
}
