// Copyright 2009 - Paul S. Heidmann
//
// Unless changed, in writing, by Paul S. Heidmann, this code is
// governed by the GPL, version 3. The terms of this copyright
// are found in the file throughputTest.cpp, included in this
// distribution.
//

#ifndef THROUGHPUTEXCEPTION_HPP
#define THROUGHPUTEXCEPTION_HPP

#include <string>

class throughputException
{
public:

  throughputException( const std::string& reason );
  throughputException( const throughputException& copy );
  ~throughputException();

  const std::string& getReason( void ) const;

private:

  const std::string cause;
  unsigned numGnuPlotLinesDumped;

  throughputException();
};

#endif
